Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface MepType

All Superinterfaces:
  org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  MepTypeImpl

    public interface MepType

extends org.apache.xmlbeans.XmlString

An XML mepType(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is an atomic type that is a restriction of org.jboss.soa.esb.listeners.config.xbeanmodel.MepType.

Nested Class Summary
`static class` | `MepType.Enum` Enumeration value class for org.jboss.soa.esb.listeners.config.xbeanmodel.MepType.
`static class` | `MepType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static int` | `INT_ONE_WAY`
`static int` | `INT_REQUEST_RESPONSE`
`static MepType.Enum` | `ONE_WAY`
`static MepType.Enum` | `REQUEST_RESPONSE`
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
`void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

### REQUEST_RESPONSE

    static final MepType.Enum REQUEST_RESPONSE

### ONE_WAY

    static final MepType.Enum ONE_WAY

### INT_REQUEST_RESPONSE

    static final int INT_REQUEST_RESPONSE

See Also:
  Constant Field Values

### INT_ONE_WAY

    static final int INT_ONE_WAY

See Also:
  Constant Field Values

Method Detail

### enumValue

    org.apache.xmlbeans.StringEnumAbstractBase enumValue()

### set

    void set(org.apache.xmlbeans.StringEnumAbstractBase e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD